libxkbfile-dev_1.0.9-2_amd64.deb


Advertisement

Description

libxkbfile-dev - X11 keyboard file manipulation library (development headers)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name libxkbfile-dev
Package version 1.0.9
Package release 2
Package architecture amd64
Package type deb
Installed size 319 B
Download size 72.60 KB
Official Mirror archive.ubuntu.com
libxkbfile provides an interface to read and manipulate description files for
XKB, the X11 keyboard configuration extension.
This package contains the development headers for the library found in
libxkbfile1.  Non-developers likely have little use for this package.
More information about X.Org can be found at:
<URL:http://www.X.org>
This module can be found at
git://anongit.freedesktop.org/git/xorg/lib/libxkbfile

Alternatives

Package Version Architecture Repository
libxkbfile-dev_1.0.9-2_i386.deb 1.0.9 i386 Ubuntu Main
libxkbfile-dev - - -

Requires

Name Value
libx11-dev -
libxkbfile1 = 1:1.0.9-2
x11proto-core-dev -
x11proto-kb-dev -

Download

Type URL
Binary Package libxkbfile-dev_1.0.9-2_amd64.deb
Source Package libxkbfile

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxkbfile-dev deb package:
    # sudo apt-get install libxkbfile-dev

Files

Path
/usr/include/X11/extensions/XKBbells.h
/usr/include/X11/extensions/XKBconfig.h
/usr/include/X11/extensions/XKBfile.h
/usr/include/X11/extensions/XKBrules.h
/usr/include/X11/extensions/XKM.h
/usr/include/X11/extensions/XKMformat.h
/usr/lib/x86_64-linux-gnu/libxkbfile.a
/usr/lib/x86_64-linux-gnu/libxkbfile.so
/usr/lib/x86_64-linux-gnu/pkgconfig/xkbfile.pc
/usr/share/doc/libxkbfile-dev/changelog.Debian.gz
/usr/share/doc/libxkbfile-dev/copyright

Changelog

2015-10-28 - Julien Cristau <jcristau@debian.org>
libxkbfile (1:1.0.9-2) unstable; urgency=medium
* Team upload.
* Restore separate build directory.
2015-10-28 - Julien Cristau <jcristau@debian.org>
libxkbfile (1:1.0.9-1) unstable; urgency=medium
* Team upload.
* New upstream release
* Let uscan verify tarball signatures.
* Switch d/rules to dh with dh-autoreconf.
* Delete XSFBS scripts.
* Remove Drew and Cyril from Uploaders.
* Bump Standards-Version to 3.9.6, update Vcs-* control fields.
2012-04-21 - Julien Cristau <jcristau@debian.org>
libxkbfile (1:1.0.8-1) unstable; urgency=low
* New upstream release.
* Remove David Nusinow from Uploaders.
* Don't require (fake)root for debian/rules clean.
* Build-Depend on newer xutils-dev for util-macros 1.8.
* Build for multiarch.
2010-11-06 - Cyril Brulebois <kibi@debian.org>
libxkbfile (1:1.0.7-1) unstable; urgency=low
* New upstream release.
* Switch from --list-missing to --fail-missing for additional safety.
2010-03-11 - Cyril Brulebois <kibi@debian.org>
libxkbfile (1:1.0.6-2) unstable; urgency=low
[ Julien Cristau ]
* Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
good reason.  Thanks, Colin Watson!
* Remove myself from Uploaders
[ Cyril Brulebois ]
* Add udeb needed for the graphical installer: libxkbfile1-udeb.
* Bump the B-D on libx11-dev to make sure libxkbfile1-udeb gets a
dependency on libx11-6-udeb.
* Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
* Add myself to Uploaders.
2009-11-25 - Julien Cristau <jcristau@debian.org>
libxkbfile (1:1.0.6-1) unstable; urgency=low
[ Brice Goglin ]
* Add a link to www.X.org and a reference to the upstream module
in the long description.
[ Timo Aaltonen ]
* New upstream release.
+ makes misc:typo option work (closes: #513356)
* Run autoreconf on build. Add build-deps on automake, libtool
and xutils-dev.
* Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
* Bump Standards-Version to 3.8.3.
* Move -dbg package to section debug.
* Drop pre-dependency on x11-common from libxkbfile-dev. This was needed
for upgrades from sarge.
2008-03-21 - Julien Cristau <jcristau@debian.org>
libxkbfile (1:1.0.5-1) unstable; urgency=low
* New upstream release.
* Minor updates to debian/copyright to add download URL and more closely
match upstream's COPYING file.
* Remove Branden and Fabio from Uploaders with their permission, and add
myself.
* Don't build-depend on packages with a -1 debian revision.
* Bump Standards-Version to 3.7.3.
* Drop XS- prefix from Vcs-Git, add Vcs-Browser control field.
* libxkbfile1 and libxkbfile1-dbg don't need a dependency on x11-common.
* Use ${binary:Version} instead of the obsolete ${Source-Version}.
* Move libxkbfile1 to Section: libs, libxkbfile{1-dbg,-dev} to libdevel.
2007-04-13 - Drew Parsons <dparsons@debian.org>
libxkbfile (1:1.0.4-1) unstable; urgency=low
[ Julien Cristau ]
* New upstream release (X11R7.2).
* Drop obsolete CVS info from the descriptions, and add XS-Vcs-Git.
* Install the upstream ChangeLog.
2006-08-26 - Drew Parsons <dparsons@debian.org>
libxkbfile (1:1.0.3-2) unstable; urgency=low
* Bring X11R7.1 into unstable.
* dbg package has priority extra.
2006-08-06 - Drew Parsons <dparsons@debian.org>
libxkbfile (1:1.0.3-1) experimental; urgency=low
* New upstream version (X11R7.1).
* Don't install libxkbfile.la.

See Also

Package Description
libxkbfile1_1.0.9-2_amd64.deb X11 keyboard file manipulation library
libxklavier-dev_5.4-3_amd64.deb Development files for libxklavier
libxklavier16_5.4-3_amd64.deb X Keyboard Extension high-level API
libxml-libxml-perl_2.0128+dfsg-5_amd64.deb Perl interface to the libxml2 library
libxml-namespacesupport-perl_1.12-1_all.deb Perl module for supporting simple generic namespaces
libxml-parser-perl_2.44-2build3_amd64.deb Perl module for parsing XML files
libxml-sax-base-perl_1.09-1_all.deb base class for SAX drivers and filters
libxml-sax-expat-perl_0.40-2_all.deb Perl module for a SAX2 driver for Expat (XML::Parser)
libxml-sax-perl_0.99+dfsg-2ubuntu1_all.deb Perl module for using and building Perl SAX2 XML processors
libxml-simple-perl_2.24-1_all.deb Perl module for reading and writing XML
libxml-twig-perl_3.50-1_all.deb Perl module for processing huge XML documents in tree mode
libxml-xpathengine-perl_0.14-1_all.deb re-usable XPath engine for DOM-like trees
libxml2-dev_2.9.4+dfsg1-6.1ubuntu1_amd64.deb Development files for the GNOME XML library
libxml2-doc_2.9.4+dfsg1-6.1ubuntu1_all.deb Documentation for the GNOME XML library
libxml2-utils_2.9.4+dfsg1-6.1ubuntu1_amd64.deb XML utilities
Advertisement
Advertisement